Properties Methods Events Direct Link

# Class Ext.menu.MenuMgr

Package: | Ext.menu
Defined In: | MenuMgr.js
Class: | MenuMgr
Extends: | Object

Provides a common registry of all menu items on a page so that they can be easily accessed by id.
This class is a singleton and cannot be created directly.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

get( `String/Object menu` ) : Ext.menu.Menu
Returns a Ext.menu.Menu object
Returns a Ext.menu.Menu object
Parameters:

- `menu` : String/Object
  The string menu id, an existing menu object reference, or a Menu config that will be used to generate and return a new Menu instance.

Returns:

- `Ext.menu.Menu`
  The specified menu

MenuMgr

hideAll() : void
Hides all menus that are currently visible
Hides all menus that are currently visible
Parameters:

- None.

Returns:

- `void`

MenuMgr

## Public Events

This class has no public events.